<?xml version='1.0' encoding='UTF-8' standalone='yes' ?>
<tagfile doxygen_version="1.9.5">
  <compound kind="class">
    <name>lsst::dax::apdb::apdbCassandra::_AddressTranslator</name>
    <filename>classlsst_1_1dax_1_1apdb_1_1apdb_cassandra_1_1___address_translator.html</filename>
  </compound>
  <compound kind="class">
    <name>lsst::dax::apdb::apdbCassandraSchema::_FelisUUID</name>
    <filename>classlsst_1_1dax_1_1apdb_1_1apdb_cassandra_schema_1_1___felis_u_u_i_d.html</filename>
  </compound>
  <compound kind="class">
    <name>lsst::dax::apdb::apdb::Apdb</name>
    <filename>classlsst_1_1dax_1_1apdb_1_1apdb_1_1_apdb.html</filename>
    <member kind="function">
      <type>Optional[Table]</type>
      <name>tableDef</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdb_1_1_apdb.html</anchorfile>
      <anchor>a3afcdc8d337f4324ce44825187336dba</anchor>
      <arglist>(self, ApdbTables table)</arglist>
    </member>
    <member kind="function">
      <type>None</type>
      <name>makeSchema</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdb_1_1_apdb.html</anchorfile>
      <anchor>aa087268f0699042bc4ce6db302ae7f35</anchor>
      <arglist>(self, bool drop=False)</arglist>
    </member>
    <member kind="function">
      <type>pandas.DataFrame</type>
      <name>getDiaObjects</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdb_1_1_apdb.html</anchorfile>
      <anchor>a41a16c16ce9b4e4230010e071aa53dc9</anchor>
      <arglist>(self, Region region)</arglist>
    </member>
    <member kind="function">
      <type>Optional[pandas.DataFrame]</type>
      <name>getDiaSources</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdb_1_1_apdb.html</anchorfile>
      <anchor>a2282b2a346d49c6d0e226520356ca974</anchor>
      <arglist>(self, Region region, Optional[Iterable[int]] object_ids, dafBase.DateTime visit_time)</arglist>
    </member>
    <member kind="function">
      <type>Optional[pandas.DataFrame]</type>
      <name>getDiaForcedSources</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdb_1_1_apdb.html</anchorfile>
      <anchor>a5bc33c9ae87534c826ee72f952a2f360</anchor>
      <arglist>(self, Region region, Optional[Iterable[int]] object_ids, dafBase.DateTime visit_time)</arglist>
    </member>
    <member kind="function">
      <type>list[ApdbInsertId]|None</type>
      <name>getInsertIds</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdb_1_1_apdb.html</anchorfile>
      <anchor>a33c1455ba10547ab7ff160cc0f757f62</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>None</type>
      <name>deleteInsertIds</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdb_1_1_apdb.html</anchorfile>
      <anchor>a0ba97904bf5bc0dfb82b014d87cbae35</anchor>
      <arglist>(self, Iterable[ApdbInsertId] ids)</arglist>
    </member>
    <member kind="function">
      <type>ApdbTableData</type>
      <name>getDiaObjectsHistory</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdb_1_1_apdb.html</anchorfile>
      <anchor>a97b75e4c037a6b2eaf279988fc750c96</anchor>
      <arglist>(self, Iterable[ApdbInsertId] ids)</arglist>
    </member>
    <member kind="function">
      <type>ApdbTableData</type>
      <name>getDiaSourcesHistory</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdb_1_1_apdb.html</anchorfile>
      <anchor>a42e5ff7b33d1ee26cb3ab8262d21feb3</anchor>
      <arglist>(self, Iterable[ApdbInsertId] ids)</arglist>
    </member>
    <member kind="function">
      <type>ApdbTableData</type>
      <name>getDiaForcedSourcesHistory</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdb_1_1_apdb.html</anchorfile>
      <anchor>af3e245ed9c8f2a8043ea5db2451c7542</anchor>
      <arglist>(self, Iterable[ApdbInsertId] ids)</arglist>
    </member>
    <member kind="function">
      <type>pandas.DataFrame</type>
      <name>getSSObjects</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdb_1_1_apdb.html</anchorfile>
      <anchor>a3fa9e0d10eb3eb5a07ffaf49d075f346</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>None</type>
      <name>store</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdb_1_1_apdb.html</anchorfile>
      <anchor>a38217666c89252995cd394951d298a19</anchor>
      <arglist>(self, dafBase.DateTime visit_time, pandas.DataFrame objects, Optional[pandas.DataFrame] sources=None, Optional[pandas.DataFrame] forced_sources=None)</arglist>
    </member>
    <member kind="function">
      <type>None</type>
      <name>storeSSObjects</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdb_1_1_apdb.html</anchorfile>
      <anchor>ac8336c12e018d17344305dab92d92484</anchor>
      <arglist>(self, pandas.DataFrame objects)</arglist>
    </member>
    <member kind="function">
      <type>None</type>
      <name>reassignDiaSources</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdb_1_1_apdb.html</anchorfile>
      <anchor>ad180a0bd116938046ac238cc3226e319</anchor>
      <arglist>(self, Mapping[int, int] idMap)</arglist>
    </member>
    <member kind="function">
      <type>None</type>
      <name>dailyJob</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdb_1_1_apdb.html</anchorfile>
      <anchor>a661b8b6ff8d78771e0532e536c863aa9</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>countUnassociatedObjects</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdb_1_1_apdb.html</anchorfile>
      <anchor>acea40583af1ebcd900f0aec3e99a089b</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>ConfigurableField</type>
      <name>makeField</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdb_1_1_apdb.html</anchorfile>
      <anchor>a092cfe57f817c19229e8baac46736255</anchor>
      <arglist>(cls, str doc)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::dax::apdb::apdbCassandra::ApdbCassandra</name>
    <filename>classlsst_1_1dax_1_1apdb_1_1apdb_cassandra_1_1_apdb_cassandra.html</filename>
    <base>lsst::dax::apdb::apdb::Apdb</base>
    <member kind="function">
      <type>Optional[Table]</type>
      <name>tableDef</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdb_cassandra_1_1_apdb_cassandra.html</anchorfile>
      <anchor>aaf6b0266b98efe2f88c7f34956894033</anchor>
      <arglist>(self, ApdbTables table)</arglist>
    </member>
    <member kind="function">
      <type>None</type>
      <name>makeSchema</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdb_cassandra_1_1_apdb_cassandra.html</anchorfile>
      <anchor>a8031e899ad98c2ddd491007f99311044</anchor>
      <arglist>(self, bool drop=False)</arglist>
    </member>
    <member kind="function">
      <type>pandas.DataFrame</type>
      <name>getDiaObjects</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdb_cassandra_1_1_apdb_cassandra.html</anchorfile>
      <anchor>a29dd42382172ee965c30cbf272401728</anchor>
      <arglist>(self, sphgeom.Region region)</arglist>
    </member>
    <member kind="function">
      <type>Optional[pandas.DataFrame]</type>
      <name>getDiaSources</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdb_cassandra_1_1_apdb_cassandra.html</anchorfile>
      <anchor>ace56d4417669ab51651a08013ac12303</anchor>
      <arglist>(self, sphgeom.Region region, Optional[Iterable[int]] object_ids, dafBase.DateTime visit_time)</arglist>
    </member>
    <member kind="function">
      <type>Optional[pandas.DataFrame]</type>
      <name>getDiaForcedSources</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdb_cassandra_1_1_apdb_cassandra.html</anchorfile>
      <anchor>a382c972ec201e8a453f0de198c53395b</anchor>
      <arglist>(self, sphgeom.Region region, Optional[Iterable[int]] object_ids, dafBase.DateTime visit_time)</arglist>
    </member>
    <member kind="function">
      <type>list[ApdbInsertId]|None</type>
      <name>getInsertIds</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdb_cassandra_1_1_apdb_cassandra.html</anchorfile>
      <anchor>a00e8e1838217e180a1a1dc2f484d2664</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>None</type>
      <name>deleteInsertIds</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdb_cassandra_1_1_apdb_cassandra.html</anchorfile>
      <anchor>a00246991f6192f3998a6b532fa8c30e7</anchor>
      <arglist>(self, Iterable[ApdbInsertId] ids)</arglist>
    </member>
    <member kind="function">
      <type>ApdbTableData</type>
      <name>getDiaObjectsHistory</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdb_cassandra_1_1_apdb_cassandra.html</anchorfile>
      <anchor>aaffd818283429819b51763302d7cb208</anchor>
      <arglist>(self, Iterable[ApdbInsertId] ids)</arglist>
    </member>
    <member kind="function">
      <type>ApdbTableData</type>
      <name>getDiaSourcesHistory</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdb_cassandra_1_1_apdb_cassandra.html</anchorfile>
      <anchor>a9ea76aaa806b043ef020562f808e4c34</anchor>
      <arglist>(self, Iterable[ApdbInsertId] ids)</arglist>
    </member>
    <member kind="function">
      <type>ApdbTableData</type>
      <name>getDiaForcedSourcesHistory</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdb_cassandra_1_1_apdb_cassandra.html</anchorfile>
      <anchor>aa04bcfaa5cf2b6b3745195b5f5ae30b8</anchor>
      <arglist>(self, Iterable[ApdbInsertId] ids)</arglist>
    </member>
    <member kind="function">
      <type>pandas.DataFrame</type>
      <name>getSSObjects</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdb_cassandra_1_1_apdb_cassandra.html</anchorfile>
      <anchor>a10a09aae09ce08d1ce4bd4bba8e81469</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>None</type>
      <name>store</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdb_cassandra_1_1_apdb_cassandra.html</anchorfile>
      <anchor>a4845555f00810f4604511b58210baf16</anchor>
      <arglist>(self, dafBase.DateTime visit_time, pandas.DataFrame objects, Optional[pandas.DataFrame] sources=None, Optional[pandas.DataFrame] forced_sources=None)</arglist>
    </member>
    <member kind="function">
      <type>None</type>
      <name>storeSSObjects</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdb_cassandra_1_1_apdb_cassandra.html</anchorfile>
      <anchor>a80ff2915d1cfc167cd3ee4485b64d869</anchor>
      <arglist>(self, pandas.DataFrame objects)</arglist>
    </member>
    <member kind="function">
      <type>None</type>
      <name>reassignDiaSources</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdb_cassandra_1_1_apdb_cassandra.html</anchorfile>
      <anchor>a5871c9b29d4c7cff8a1892d4bdeb0102</anchor>
      <arglist>(self, Mapping[int, int] idMap)</arglist>
    </member>
    <member kind="function">
      <type>None</type>
      <name>dailyJob</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdb_cassandra_1_1_apdb_cassandra.html</anchorfile>
      <anchor>abca944ab7c2283860f39a2e1f1412927</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>countUnassociatedObjects</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdb_cassandra_1_1_apdb_cassandra.html</anchorfile>
      <anchor>a018b72a629fce2b5a2d84d31c9774556</anchor>
      <arglist>(self)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::dax::apdb::apdbCassandra::ApdbCassandraConfig</name>
    <filename>classlsst_1_1dax_1_1apdb_1_1apdb_cassandra_1_1_apdb_cassandra_config.html</filename>
    <base>lsst::dax::apdb::apdb::ApdbConfig</base>
  </compound>
  <compound kind="class">
    <name>lsst::dax::apdb::apdbCassandraSchema::ApdbCassandraSchema</name>
    <filename>classlsst_1_1dax_1_1apdb_1_1apdb_cassandra_schema_1_1_apdb_cassandra_schema.html</filename>
    <base>lsst::dax::apdb::apdbSchema::ApdbSchema</base>
    <member kind="function">
      <type>bool</type>
      <name>has_insert_id</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdb_cassandra_schema_1_1_apdb_cassandra_schema.html</anchorfile>
      <anchor>ab33343de3c097ea1ff416b0d92b84672</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>str</type>
      <name>tableName</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdb_cassandra_schema_1_1_apdb_cassandra_schema.html</anchorfile>
      <anchor>ab18cdc118271432f0d8f56c1f760b618</anchor>
      <arglist>(self, ApdbTables|ExtraTables table_name)</arglist>
    </member>
    <member kind="function">
      <type>Mapping[str, simple.Column]</type>
      <name>getColumnMap</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdb_cassandra_schema_1_1_apdb_cassandra_schema.html</anchorfile>
      <anchor>a9465b7ded6ddebf0b7304fe26e66ce1b</anchor>
      <arglist>(self, ApdbTables|ExtraTables table_name)</arglist>
    </member>
    <member kind="function">
      <type>List[str]</type>
      <name>apdbColumnNames</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdb_cassandra_schema_1_1_apdb_cassandra_schema.html</anchorfile>
      <anchor>add4fae004ca7748ba82765ca82e13c8c</anchor>
      <arglist>(self, ApdbTables|ExtraTables table_name)</arglist>
    </member>
    <member kind="function">
      <type>List[str]</type>
      <name>partitionColumns</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdb_cassandra_schema_1_1_apdb_cassandra_schema.html</anchorfile>
      <anchor>a5863b7ea09dea880b7b2d0097277ebe1</anchor>
      <arglist>(self, ApdbTables|ExtraTables table_name)</arglist>
    </member>
    <member kind="function">
      <type>List[str]</type>
      <name>clusteringColumns</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdb_cassandra_schema_1_1_apdb_cassandra_schema.html</anchorfile>
      <anchor>a58c93b68f8f01236da210bcd6bf9a6ed</anchor>
      <arglist>(self, ApdbTables|ExtraTables table_name)</arglist>
    </member>
    <member kind="function">
      <type>None</type>
      <name>makeSchema</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdb_cassandra_schema_1_1_apdb_cassandra_schema.html</anchorfile>
      <anchor>a3b982276c0506efc3237b8751f332ddf</anchor>
      <arglist>(self, bool drop=False, Optional[Tuple[int, int]] part_range=None)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::dax::apdb::cassandra_utils::ApdbCassandraTableData</name>
    <filename>classlsst_1_1dax_1_1apdb_1_1cassandra__utils_1_1_apdb_cassandra_table_data.html</filename>
    <base>lsst::dax::apdb::apdb::ApdbTableData</base>
    <member kind="function">
      <type>list[str]</type>
      <name>column_names</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1cassandra__utils_1_1_apdb_cassandra_table_data.html</anchorfile>
      <anchor>ad0fef8a3bbe02747ae8e2aef9fea2ab0</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>Iterable[tuple]</type>
      <name>rows</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1cassandra__utils_1_1_apdb_cassandra_table_data.html</anchorfile>
      <anchor>adc3c3918bd925d38011a0ba8ced3c161</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>None</type>
      <name>append</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1cassandra__utils_1_1_apdb_cassandra_table_data.html</anchorfile>
      <anchor>a0f352d63c2f22b251ff4f07d073b6641</anchor>
      <arglist>(self, ApdbCassandraTableData other)</arglist>
    </member>
    <member kind="function">
      <type>Iterator[tuple]</type>
      <name>__iter__</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1cassandra__utils_1_1_apdb_cassandra_table_data.html</anchorfile>
      <anchor>a4bb5748de9df20c61ec48f51cbff4622</anchor>
      <arglist>(self)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::dax::apdb::apdb::ApdbConfig</name>
    <filename>classlsst_1_1dax_1_1apdb_1_1apdb_1_1_apdb_config.html</filename>
  </compound>
  <compound kind="class">
    <name>lsst::dax::apdb::apdb::ApdbInsertId</name>
    <filename>classlsst_1_1dax_1_1apdb_1_1apdb_1_1_apdb_insert_id.html</filename>
    <member kind="function">
      <type>ApdbInsertId</type>
      <name>new_insert_id</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdb_1_1_apdb_insert_id.html</anchorfile>
      <anchor>a080391f7b52aa28f5ff7ba74d8fdefb2</anchor>
      <arglist>(cls)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::dax::apdb::apdbSchema::ApdbSchema</name>
    <filename>classlsst_1_1dax_1_1apdb_1_1apdb_schema_1_1_apdb_schema.html</filename>
    <member kind="function">
      <type>Union[type, str]</type>
      <name>column_dtype</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdb_schema_1_1_apdb_schema.html</anchorfile>
      <anchor>ab7153b869d90cf74819fa2207e5c3639</anchor>
      <arglist>(self, Type[felis.types.FelisType] felis_type)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::dax::apdb::tests::_apdb::ApdbSchemaUpdateTest</name>
    <filename>classlsst_1_1dax_1_1apdb_1_1tests_1_1__apdb_1_1_apdb_schema_update_test.html</filename>
    <member kind="function">
      <type>ApdbConfig</type>
      <name>make_config</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1tests_1_1__apdb_1_1_apdb_schema_update_test.html</anchorfile>
      <anchor>a4d757297cdd94121962feafb8dcbbf24</anchor>
      <arglist>(self, **Any kwargs)</arglist>
    </member>
    <member kind="function">
      <type>None</type>
      <name>test_schema_add_history</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1tests_1_1__apdb_1_1_apdb_schema_update_test.html</anchorfile>
      <anchor>ad85286fd8d43eb990649f8f371615d26</anchor>
      <arglist>(self)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::dax::apdb::apdbSql::ApdbSql</name>
    <filename>classlsst_1_1dax_1_1apdb_1_1apdb_sql_1_1_apdb_sql.html</filename>
    <base>lsst::dax::apdb::apdb::Apdb</base>
    <member kind="function">
      <type>Dict[str, int]</type>
      <name>tableRowCount</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdb_sql_1_1_apdb_sql.html</anchorfile>
      <anchor>aaa6ad2cdb7f67c510566150984a98979</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>Optional[Table]</type>
      <name>tableDef</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdb_sql_1_1_apdb_sql.html</anchorfile>
      <anchor>a47ec3bfc6e248b69bd959a38b47a2995</anchor>
      <arglist>(self, ApdbTables table)</arglist>
    </member>
    <member kind="function">
      <type>None</type>
      <name>makeSchema</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdb_sql_1_1_apdb_sql.html</anchorfile>
      <anchor>a6b5a0a58b27a5386a37ddee1399bb120</anchor>
      <arglist>(self, bool drop=False)</arglist>
    </member>
    <member kind="function">
      <type>pandas.DataFrame</type>
      <name>getDiaObjects</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdb_sql_1_1_apdb_sql.html</anchorfile>
      <anchor>a5c8a59c06b986c6ef1faf5bfa4d7459c</anchor>
      <arglist>(self, Region region)</arglist>
    </member>
    <member kind="function">
      <type>Optional[pandas.DataFrame]</type>
      <name>getDiaSources</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdb_sql_1_1_apdb_sql.html</anchorfile>
      <anchor>a90d5a56fdf1b70903da5c17ce6d4ab21</anchor>
      <arglist>(self, Region region, Optional[Iterable[int]] object_ids, dafBase.DateTime visit_time)</arglist>
    </member>
    <member kind="function">
      <type>Optional[pandas.DataFrame]</type>
      <name>getDiaForcedSources</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdb_sql_1_1_apdb_sql.html</anchorfile>
      <anchor>a0aed4ba99cf2c2f2f94d16accc6a0e36</anchor>
      <arglist>(self, Region region, Optional[Iterable[int]] object_ids, dafBase.DateTime visit_time)</arglist>
    </member>
    <member kind="function">
      <type>list[ApdbInsertId]|None</type>
      <name>getInsertIds</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdb_sql_1_1_apdb_sql.html</anchorfile>
      <anchor>aa0c76aa1a95a98dde9cb5d6f8f304d17</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>None</type>
      <name>deleteInsertIds</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdb_sql_1_1_apdb_sql.html</anchorfile>
      <anchor>a3100921f69e7f2b2e29c9f35f4fc2478</anchor>
      <arglist>(self, Iterable[ApdbInsertId] ids)</arglist>
    </member>
    <member kind="function">
      <type>ApdbTableData</type>
      <name>getDiaObjectsHistory</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdb_sql_1_1_apdb_sql.html</anchorfile>
      <anchor>a6bf373b420ce1a236e4597344a4a5db5</anchor>
      <arglist>(self, Iterable[ApdbInsertId] ids)</arglist>
    </member>
    <member kind="function">
      <type>ApdbTableData</type>
      <name>getDiaSourcesHistory</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdb_sql_1_1_apdb_sql.html</anchorfile>
      <anchor>a1db7162167f305c6a29abbcfdac2c892</anchor>
      <arglist>(self, Iterable[ApdbInsertId] ids)</arglist>
    </member>
    <member kind="function">
      <type>ApdbTableData</type>
      <name>getDiaForcedSourcesHistory</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdb_sql_1_1_apdb_sql.html</anchorfile>
      <anchor>aadb723384b295a19f4cdb28854e8b3aa</anchor>
      <arglist>(self, Iterable[ApdbInsertId] ids)</arglist>
    </member>
    <member kind="function">
      <type>pandas.DataFrame</type>
      <name>getSSObjects</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdb_sql_1_1_apdb_sql.html</anchorfile>
      <anchor>a5f978fc0f61b3ceab8764bf76264765f</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>None</type>
      <name>store</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdb_sql_1_1_apdb_sql.html</anchorfile>
      <anchor>a4df0c3e040e89b3bd2902d76de9c173b</anchor>
      <arglist>(self, dafBase.DateTime visit_time, pandas.DataFrame objects, Optional[pandas.DataFrame] sources=None, Optional[pandas.DataFrame] forced_sources=None)</arglist>
    </member>
    <member kind="function">
      <type>None</type>
      <name>storeSSObjects</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdb_sql_1_1_apdb_sql.html</anchorfile>
      <anchor>a9d00cbf36985cb03bb20c9cd55011582</anchor>
      <arglist>(self, pandas.DataFrame objects)</arglist>
    </member>
    <member kind="function">
      <type>None</type>
      <name>reassignDiaSources</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdb_sql_1_1_apdb_sql.html</anchorfile>
      <anchor>af727ce966064b9c4ff02a55e3560c8e3</anchor>
      <arglist>(self, Mapping[int, int] idMap)</arglist>
    </member>
    <member kind="function">
      <type>None</type>
      <name>dailyJob</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdb_sql_1_1_apdb_sql.html</anchorfile>
      <anchor>a7d67c18e9604d5415aca71a79e2fd9a0</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>countUnassociatedObjects</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdb_sql_1_1_apdb_sql.html</anchorfile>
      <anchor>ac2bd2d843901c3d562584133e81dffc9</anchor>
      <arglist>(self)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::dax::apdb::apdbSql::ApdbSqlConfig</name>
    <filename>classlsst_1_1dax_1_1apdb_1_1apdb_sql_1_1_apdb_sql_config.html</filename>
    <base>lsst::dax::apdb::apdb::ApdbConfig</base>
  </compound>
  <compound kind="class">
    <name>lsst::dax::apdb::apdbSqlSchema::ApdbSqlSchema</name>
    <filename>classlsst_1_1dax_1_1apdb_1_1apdb_sql_schema_1_1_apdb_sql_schema.html</filename>
    <base>lsst::dax::apdb::apdbSchema::ApdbSchema</base>
    <member kind="function">
      <type>None</type>
      <name>makeSchema</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdb_sql_schema_1_1_apdb_sql_schema.html</anchorfile>
      <anchor>ad11a2972c43927b3596df386b334cb6d</anchor>
      <arglist>(self, bool drop=False)</arglist>
    </member>
    <member kind="function">
      <type>Table</type>
      <name>get_table</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdb_sql_schema_1_1_apdb_sql_schema.html</anchorfile>
      <anchor>a42e87a64596b8ef5065c2e1ad166becd</anchor>
      <arglist>(self, ApdbTables|ExtraTables table_enum)</arglist>
    </member>
    <member kind="function">
      <type>list[Column]</type>
      <name>get_apdb_columns</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdb_sql_schema_1_1_apdb_sql_schema.html</anchorfile>
      <anchor>abf6593345443bc970829119cad26addb</anchor>
      <arglist>(self, ApdbTables|ExtraTables table_enum)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>has_insert_id</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdb_sql_schema_1_1_apdb_sql_schema.html</anchorfile>
      <anchor>a5cc0939b4b4d62c4ee5c782acd23cb30</anchor>
      <arglist>(self)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::dax::apdb::apdbSql::ApdbSqlTableData</name>
    <filename>classlsst_1_1dax_1_1apdb_1_1apdb_sql_1_1_apdb_sql_table_data.html</filename>
    <base>lsst::dax::apdb::apdb::ApdbTableData</base>
    <member kind="function">
      <type>list[str]</type>
      <name>column_names</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdb_sql_1_1_apdb_sql_table_data.html</anchorfile>
      <anchor>a9d6fa7ae56c05c92e1734eeb64d42893</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>Iterable[tuple]</type>
      <name>rows</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdb_sql_1_1_apdb_sql_table_data.html</anchorfile>
      <anchor>ae0c146d1d971db584b74435be8623a23</anchor>
      <arglist>(self)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::dax::apdb::apdb::ApdbTableData</name>
    <filename>classlsst_1_1dax_1_1apdb_1_1apdb_1_1_apdb_table_data.html</filename>
    <member kind="function">
      <type>list[str]</type>
      <name>column_names</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdb_1_1_apdb_table_data.html</anchorfile>
      <anchor>af6df1ae41bae2a506249f3a59b4202f5</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>Iterable[tuple]</type>
      <name>rows</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdb_1_1_apdb_table_data.html</anchorfile>
      <anchor>a95762219423f0bac9ddf07e409fdac84</anchor>
      <arglist>(self)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::dax::apdb::apdbSchema::ApdbTables</name>
    <filename>classlsst_1_1dax_1_1apdb_1_1apdb_schema_1_1_apdb_tables.html</filename>
    <member kind="function">
      <type>str</type>
      <name>table_name</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdb_schema_1_1_apdb_tables.html</anchorfile>
      <anchor>a532c71547a81021abc723a58efa98506</anchor>
      <arglist>(self, str prefix=&quot;&quot;)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::dax::apdb::tests::_apdb::ApdbTest</name>
    <filename>classlsst_1_1dax_1_1apdb_1_1tests_1_1__apdb_1_1_apdb_test.html</filename>
    <member kind="function">
      <type>ApdbConfig</type>
      <name>make_config</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1tests_1_1__apdb_1_1_apdb_test.html</anchorfile>
      <anchor>a0df3ec40168d7101a29a982e9e13204c</anchor>
      <arglist>(self, **Any kwargs)</arglist>
    </member>
    <member kind="function">
      <type>ApdbTables</type>
      <name>getDiaObjects_table</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1tests_1_1__apdb_1_1_apdb_test.html</anchorfile>
      <anchor>af2eda1fc391cbeac398c1dba0467b263</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>None</type>
      <name>assert_catalog</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1tests_1_1__apdb_1_1_apdb_test.html</anchorfile>
      <anchor>a18e9ac921f7a814e591cf0aa6da6d048</anchor>
      <arglist>(self, Any catalog, int rows, ApdbTables table)</arglist>
    </member>
    <member kind="function">
      <type>None</type>
      <name>assert_table_data</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1tests_1_1__apdb_1_1_apdb_test.html</anchorfile>
      <anchor>a994e48bf1bd293be22370784d646705b</anchor>
      <arglist>(self, Any catalog, int rows, ApdbTables table)</arglist>
    </member>
    <member kind="function">
      <type>None</type>
      <name>test_makeSchema</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1tests_1_1__apdb_1_1_apdb_test.html</anchorfile>
      <anchor>a3a7f3145fa92d8747ee736209a2fddbf</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>None</type>
      <name>test_empty_gets</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1tests_1_1__apdb_1_1_apdb_test.html</anchorfile>
      <anchor>a16a1bc8f66d26e1e524be2621f996cc0</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>None</type>
      <name>test_empty_gets_0months</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1tests_1_1__apdb_1_1_apdb_test.html</anchorfile>
      <anchor>a410bf879b43c307ea0056128f7060d98</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>None</type>
      <name>test_storeObjects</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1tests_1_1__apdb_1_1_apdb_test.html</anchorfile>
      <anchor>afde5384104a6d872bca550505080a3d7</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>None</type>
      <name>test_storeSources</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1tests_1_1__apdb_1_1_apdb_test.html</anchorfile>
      <anchor>a1a364d151d2346d3dc913646961d97d4</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>None</type>
      <name>test_storeForcedSources</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1tests_1_1__apdb_1_1_apdb_test.html</anchorfile>
      <anchor>a52e999d86a212a342fc9c024bef066ac</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>None</type>
      <name>test_getHistory</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1tests_1_1__apdb_1_1_apdb_test.html</anchorfile>
      <anchor>a4d33b89f0f885e4b4e06f26def7c97c2</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>None</type>
      <name>test_storeSSObjects</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1tests_1_1__apdb_1_1_apdb_test.html</anchorfile>
      <anchor>a0d44f9f55314b6f4768c0c1b9d932aaf</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>None</type>
      <name>test_reassignObjects</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1tests_1_1__apdb_1_1_apdb_test.html</anchorfile>
      <anchor>a9416d143e9f12f347db0c7d09d0b297f</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>None</type>
      <name>test_midPointTai_src</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1tests_1_1__apdb_1_1_apdb_test.html</anchorfile>
      <anchor>a0602c47d67a24d61797c34ac38d5a7b8</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>None</type>
      <name>test_midPointTai_fsrc</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1tests_1_1__apdb_1_1_apdb_test.html</anchorfile>
      <anchor>a71ee1347be6f2176c16e6a80df4e0f23</anchor>
      <arglist>(self)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::dax::apdb::apdbCassandra::CassandraMissingError</name>
    <filename>classlsst_1_1dax_1_1apdb_1_1apdb_cassandra_1_1_cassandra_missing_error.html</filename>
  </compound>
  <compound kind="class">
    <name>lsst::dax::apdb::apdbCassandraSchema::ExtraTables</name>
    <filename>classlsst_1_1dax_1_1apdb_1_1apdb_cassandra_schema_1_1_extra_tables.html</filename>
    <member kind="function">
      <type>str</type>
      <name>table_name</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdb_cassandra_schema_1_1_extra_tables.html</anchorfile>
      <anchor>a9c26794fab8bdcb6b9c8ab37f71348dc</anchor>
      <arglist>(self, str prefix=&quot;&quot;)</arglist>
    </member>
    <member kind="function">
      <type>Mapping[ExtraTables, ApdbTables]</type>
      <name>insert_id_tables</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdb_cassandra_schema_1_1_extra_tables.html</anchorfile>
      <anchor>a2682226f9431012f8d7f7f334ba432d0</anchor>
      <arglist>(cls)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::dax::apdb::apdbSqlSchema::ExtraTables</name>
    <filename>classlsst_1_1dax_1_1apdb_1_1apdb_sql_schema_1_1_extra_tables.html</filename>
    <member kind="function">
      <type>str</type>
      <name>table_name</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdb_sql_schema_1_1_extra_tables.html</anchorfile>
      <anchor>a098cd96eb0a32fe3180fb643e957b7e9</anchor>
      <arglist>(self, str prefix=&quot;&quot;)</arglist>
    </member>
    <member kind="function">
      <type>Mapping[ExtraTables, ApdbTables]</type>
      <name>insert_id_tables</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1apdb_sql_schema_1_1_extra_tables.html</anchorfile>
      <anchor>adfdedbf76e74d967b8f79ba64fa41409</anchor>
      <arglist>(cls)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::dax::apdb::apdbSqlSchema::GUID</name>
    <filename>classlsst_1_1dax_1_1apdb_1_1apdb_sql_schema_1_1_g_u_i_d.html</filename>
  </compound>
  <compound kind="class">
    <name>lsst::dax::apdb::pixelization::Pixelization</name>
    <filename>classlsst_1_1dax_1_1apdb_1_1pixelization_1_1_pixelization.html</filename>
    <member kind="function">
      <type>List[int]</type>
      <name>pixels</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1pixelization_1_1_pixelization.html</anchorfile>
      <anchor>a9f23cd47e00c383725045c7ef49a153c</anchor>
      <arglist>(self, sphgeom.Region region)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>pixel</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1pixelization_1_1_pixelization.html</anchorfile>
      <anchor>a8379e6ddeea327cad9d6fd72d408fd8a</anchor>
      <arglist>(self, sphgeom.UnitVector3d direction)</arglist>
    </member>
    <member kind="function">
      <type>List[Tuple[int, int]]</type>
      <name>envelope</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1pixelization_1_1_pixelization.html</anchorfile>
      <anchor>a9a0ed55d939316e9466bd5bb86c399a2</anchor>
      <arglist>(self, sphgeom.Region region)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::dax::apdb::cassandra_utils::SessionWrapper</name>
    <filename>classlsst_1_1dax_1_1apdb_1_1cassandra__utils_1_1_session_wrapper.html</filename>
  </compound>
  <compound kind="class">
    <name>lsst::dax::apdb::timer::Timer</name>
    <filename>classlsst_1_1dax_1_1apdb_1_1timer_1_1_timer.html</filename>
    <member kind="function">
      <type>def</type>
      <name>__init__</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1timer_1_1_timer.html</anchorfile>
      <anchor>aa8948928140f75ea301d39bad2eba1b5</anchor>
      <arglist>(self, str name=&quot;&quot;, bool doPrint=True)</arglist>
    </member>
    <member kind="function">
      <type>Timer</type>
      <name>start</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1timer_1_1_timer.html</anchorfile>
      <anchor>a565fbbd393e8fe20e98d57b6dfc6d4a2</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>Timer</type>
      <name>stop</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1timer_1_1_timer.html</anchorfile>
      <anchor>aa25fbf2ae5f9ee7cb8e4df62b8987fbe</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>Timer</type>
      <name>dump</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1timer_1_1_timer.html</anchorfile>
      <anchor>a98f06c4ccabd35b256b36d7f16a8ff71</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>Timer</type>
      <name>__enter__</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1timer_1_1_timer.html</anchorfile>
      <anchor>a2d1a7adc1aa25913a7a114f9d14ad62f</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>Any</type>
      <name>__exit__</name>
      <anchorfile>classlsst_1_1dax_1_1apdb_1_1timer_1_1_timer.html</anchorfile>
      <anchor>aca9452939bd361e8908ae62d00e875fc</anchor>
      <arglist>(self, Optional[Type] exc_type, Any exc_val, Any exc_tb)</arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>conf</name>
    <filename>namespaceconf.html</filename>
  </compound>
</tagfile>
